/**
 * Copyright (C) 2005-2011 by Rivello Multimedia Consulting (RMC)                     
 * info@RivelloMultimediaConsulting.com                                                  
 *                                                                      
 * Permission is hereby granted, free of charge, to any person obtaining
 * a copy of this software and associated documentation files (the      
 * "Software"), to deal in the Software without restriction, including  
 * without limitation the rights to use, copy, modify, merge, publish,  
 * distribute, sublicense, and#or sell copies of the Software, and to   
 * permit persons to whom the Software is furnished to do so, subject to
 * the following conditions:                                            
 *                                                                      
 * The above copyright notice and this permission notice shall be       
 * included in all copies or substantial portions of the Software.      
 *                                                                      
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,      
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF   
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
 * IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR    
 * OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
 * ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 * OTHER DEALINGS IN THE SOFTWARE.                                      
 */
//Marks the right margin of code *******************************************************************
package com.rmc.demos.frametagmetadatademo.managers 
{
  
  //--------------------------------------
  //  Imports
  //--------------------------------------
  
  
  
  //--------------------------------------
  //  Metadata
  //--------------------------------------
  
  //--------------------------------------
  //  Class
  //--------------------------------------
  /**
   * <p>The <code>PreloaderAssetManager</code> stores only the assets
   * used during preloading. Its very light weight so the preloading graphic
   * may appear very fast (ideal).</p>
   * 
   * <p>AUTHOR  : Samuel Asher Rivello</p>
   * <p>COMPANY : RivelloMultimediaConsulting.com</p>
   * <p>EMAIL   : info@RivelloMultimediaConsulting.com</p>
   * <p>CREATION DATE    : Apr 7, 2011</p>
   * 
   * @example Here is a code example. 
   *  
   * <listing version="3.0">
   * <p>Describe this code example.</p>
   *
   * </listing>
   *
   * CLASS VISIBILITY: INTERNAL:YES, USERS:NO
   * @private
   * 
   */	
  public class PreloaderAssetManager
  {		
    
    //--------------------------------------
    //  Properties
    //--------------------------------------
    //PUBLIC GETTER/SETTERS
    
    //PUBLIC CONST
    
    /*
    LOADING
    */
    [Embed(source="/../libs/Preloader_Assets_v1.swf",symbol="LoaderMC")]
    public static var LoaderMC							: Class;
    
    //PRIVATE
    
    //--------------------------------------
    //  Constructor
    //--------------------------------------
    
    //--------------------------------------
    //  Methods
    //--------------------------------------		
    //PUBLIC	
    
    //PUBLIC STATIC
    
    //PRIVATE	
    
    //--------------------------------------
    //  Event Handlers
    //--------------------------------------		
    
  }
}
